locale(1)

BEZEICHNUNG
locale - liefert auf Locales bezogene Informationen

ÜBERSICHT
locale [Option]
locale [Option] -a
locale [Option] -m
locale [Option] Name …

BESCHREIBUNG
Der Befehl locale zeigt auf der Standardausgabe Informationen über die aktuelle Locale, oder alle Locales. (Zur Begriffsdefinition von Locale siehe die Einleitung zu locale(7).)

Beim Aufruf ohne Argumente zeigt locale die aktuellen Locale-Einstellungen für jede Locale-Kategorie an (siehe locale(5)), basierend auf den Umgebungsvariablen, die die Locale steuern (siehe locale(7)). Werte für Variablen, die in der Umgebung gesetzt sind, werden ohne doppelte Anführungszeichen ausgegeben, implizierte Werte werden mit doppelten Anführungszeichen ausgegeben.

Falls entweder die Option -a oder die Option -m angegeben wird (oder eines ihrer Äquivalente im langen Format), ist das Verhalten wie folgt:

--all-locales
-a
    Zeigt eine Liste aller verfügbaren Locales. Die Option -v lässt die Metadaten LC_IDENTIFICATION über jede Locale in die Ausgabe einfließen.

--charmaps
-m
    Zeigt die verfügbaren Zeichentabellen (Zeichensatz-Beschreibungsdateien). Um den aktuellen Zeichensatz für die Locale anzuzeigen, benutzen Sie locale -c charmap.

Dem Befehl locale können auch ein oder zwei Argumente angegeben werden, welche die Namen von Locale-Schlüsselworten sind (zum Beispiel date_fmt, ctype-class-names, yesexpr oder decimal_point), auch Locale-Kategorien (beispielsweise LC_CTYPE oder LC_TIME können hier verwandt werden. Für jedes Argument wird das Folgende angezeigt:

•   Für ein Locale-Schlüsselwort: der Wert des anzuzeigenden Schlüsselworts.

•   Für eine Locale-Kategorie: die Werte aller Schlüsselwörter in der anzuzeigenden Kategorie.

Wenn Argumente angegeben werden, sind die folgenden Optionen von Bedeutung:

--category-name
-c
    Ist das Argument ein Kategorie-Name, schreibe den Namen der Locale-Kategorie auf einer eigenen Zeile, die der Liste der Schlüsselwort-Werte für diese Kategorie vorangeht.

    Ist das Argument der Name eines Schlüsselworts, schreibe den Namen der Locale-Kategorie auf einer eigenen Zeile, die dem Wert des Schlüsselworts vorangeht.

    Diese Option verbessert die Lesbarkeit, wenn mehrere Namensargumente angegeben sind. Sie kann mit der Option -k kombiniert werden.

--keyword-name
-k
    Bezieht für jedes Schlüsselwort, dessen Wert angezeigt wird, auch den Namen des Schlüsselworts mit ein, so dass die Ausgabe dieses Format hat:

        Schlüsselwort=[dq]Wert[dq]

Der Befehl locale kennt noch die folgenden Optionen:

--verbose
-v
    Zeigt zusätzliche Informationen für einige Optionen- und Argument-Kombinationen der Befehlszeile.

--help
-?
    Zeigt eine Zusammenfassung der Befehlszeilenoptionen und -argumente und beendet das Programm.

--usage
    Zeigt eine kurze Gebrauchsinformation und beendet sich.

--version
-V
    Zeigt die Programmversion an und beendet das Programm.

DATEIEN

/usr/lib/locale/locale-archive
    Gewöhnlicher Standardort des Locale-Archivs.

/usr/share/i18n/locales
    Gewöhnlicher Standardpfad der Locale-Definitionsdateien.

STANDARDS
POSIX.1-2008.

GESCHICHTE
POSIX.1-2001.

BEISPIELE
    $ locale;
    LANG=en_US.UTF-8
    LC_CTYPE="en_US.UTF-8"
    LC_NUMERIC="en_US.UTF-8"
    LC_TIME="en_US.UTF-8"
    LC_COLLATE="en_US.UTF-8"
    LC_MONETARY="en_US.UTF-8"
    LC_MESSAGES="en_US.UTF-8"
    LC_PAPER="en_US.UTF-8"
    LC_NAME="en_US.UTF-8"
    LC_ADDRESS="en_US.UTF-8"
    LC_TELEPHONE="en_US.UTF-8"
    LC_MEASUREMENT="en_US.UTF-8"
    LC_IDENTIFICATION="en_US.UTF-8"
    LC_ALL=

$ locale date_fmt;
%a %b %e %H:%M:%S %Z %Y

$ locale -k date_fmt;
date_fmt="%a %b %e %H:%M:%S %Z %Y"

$ locale -ck date_fmt;
LC_TIME
date_fmt="%a %b %e %H:%M:%S %Z %Y"

$ locale LC_TELEPHONE;
+%c (%a) %l
(%a) %l
11
1
UTF-8

$ locale -k LC_TELEPHONE;
tel_int_fmt="+%c (%a) %l"
tel_dom_fmt="(%a) %l"
int_select="11"
int_prefix="1"
telephone-codeset="UTF-8"

Das folgende Beispiel kompiliert mit dem Werkzeug localedef(1) aus dem Verzeichnis ./wrk unter dem Verzeichnis $HOME/.locale eine angepasste Locale, testet dann das Ergebnis mit dem Befehl date(1) und setzt dann die Umgebungsvariablen LOCPATH und LANG in der Shell-Konfigurationsdatei, so dass die angepasste Locale in den nachfolgenden Sitzungen des Benutzers verwandt wird.

    $ mkdir -p $HOME/.locale;
    $ I18NPATH=./wrk/ localedef -f UTF-8 -i fi_SE $HOME/.locale/fi_SE.UTF-8;
    $ LOCPATH=$HOME/.locale LC_ALL=fi_SE.UTF-8 date;
    $ echo "export LOCPATH=\$HOME/.locale" >> $HOME/.bashrc;
    $ echo "export LANG=fi_SE.UTF-8" >> $HOME/.bashrc;

SIEHE AUCH
localedef(1), charmap(5), locale(5), locale(7)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Florian Rehnisch <fr@fm-r.eu> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).